Unsupervised Intrinsic Image Decomposition with Internal Self-similarity Cues
===========================

This is the Pytorch implementation of the UIDNet introduced in the paper "Unsupervised Intrinsic Image Decomposition Using Internal Self-similarity Cues". 

### Dependencies:

* The code was written in Pytorch >=1.0 and Python 3.6

### Training:

```bash
    python train.py \
    --dataroot [path of your dataset] \
    --outputroot [path of output results] \
    --param_mode MIT [MIT or IIW or SAW, default: MIT] \
    --gpu_ids 0 [default: 0]
```

Note, the recommended parameter settings for the MIT, IIW and SAW datasets have some differences.

For MIT dataset, we set
'''
    w_Rgrad_l0_comple = 0.02
    net_iters = 1
    mask_iters = 1
    R_mask_start = 100          
    w_Rgrad_l0_ssim = 0.1
    w_Sgrad_l0 = 1
    ssim_win_size = 7
'''

For IIW and SAW dataset, we set
'''
    w_Rgrad_l0_comple = 0
    net_iters = 10
    mask_iters = 20
    R_mask_start = 5000    
    w_Rgrad_l0_ssim = 0.15
    w_Sgrad_l0 = 1
    ssim_win_size = 5
'''

